# vim: syntax=spec
Name:           memstrack
Version:        0.0.git.102.ee02de2
Release:        1%{?dist}
Summary:        A memory allocation tracer, like a hot spot analyzer for memory allocation
License:        GPLv3
URL:            https://github.com/ryncsn/memstrack
VCS:            git+https://github.com/ryncsn/memstrack.git#ee02de283fec5499639751deb6c0d7848fba986c:
BuildRequires:  gcc
BuildRequires:  ncurses-devel

Source:         memstrack-0.0.git.102.ee02de2.tar.gz

%description
A memory allocation tracer, like a hot spot analyzer for memory allocation

%package dracut
Summary: Debug hook for analyzing memory with memstract in dracut
Requires: %{name} = %{version}-%{release}
Requires: dracut
BuildArch: noarch

%description dracut
Debug hook for analyzing memory with memstract in dracut, help analyze
booting stage memory usage.

%prep
%setup -q -n memstrack-0.0.git.102.ee02de2

%build
%{set_build_flags}
make %{?_smp_mflags}

%install
# memstrack binary
mkdir -p %{buildroot}/%{_bindir}
install -p -m 755 memstrack %{buildroot}/%{_bindir}

# dracut module part
# keep dracutlibdir consistent with the definition in dracut.spec
%define dracutlibdir %{_prefix}/lib/dracut
%define dracutmoduledir %{dracutlibdir}/modules.d/99memstrack
mkdir -p %{buildroot}/%{dracutmoduledir}

install -p -m 644 misc/99memstrack/memstrack.service %{buildroot}/%{dracutmoduledir}/memstrack.service
install -p -m 644 misc/99memstrack/module-setup.sh %{buildroot}/%{dracutmoduledir}/module-setup.sh
install -p -m 755 misc/99memstrack/start-tracing.sh %{buildroot}/%{dracutmoduledir}/start-tracing.sh
install -p -m 755 misc/99memstrack/stop-tracing.sh %{buildroot}/%{dracutmoduledir}/stop-tracing.sh

%files
%doc README.md
%license LICENSE
%{_bindir}/memstrack

%files dracut
%dir %{dracutmoduledir}
%{dracutmoduledir}/memstrack.service
%{dracutmoduledir}/module-setup.sh
%{dracutmoduledir}/start-tracing.sh
%{dracutmoduledir}/stop-tracing.sh

%changelog

